Package Details: gournal 0.5.1.1-2

Git Clone URL: https://aur.archlinux.org/gournal.git (read-only, click to copy)
Package Base: gournal
Description: A note-taking application written for usage on Tablet-PCs
Upstream URL: http://www.adebenham.com/old-stuff/gournal/
Licenses: GPL
Submitter: dracorp
Maintainer: dracorp
Last Packager: dracorp
Votes: 2
Popularity: 0.000000
First Submitted: 2012-08-29 11:22
Last Updated: 2017-12-08 19:02

Latest Comments

Popolon commented on 2020-09-30 15:38

libgnomeprint is now patched and compile and work again (it don't make doc to work, if someone know/want to patch the doc part to work s-he can adopt libgnomeprint and correct it).

dracorp commented on 2020-09-12 19:59

$ gournal 
Can't locate Gnome2/Print.pm in @INC 

I've added perl-gtk2-gladexml-simple

Popolon commented on 2020-09-12 17:25

I made a patched version of lignmeprint, need to wait to weeks max (the current owner is inactive for about one year), to make it work.

this command could help to detect outdated pacman installed perl module:

pacman -Qqo '/usr/lib/perl5/5.30'
update all them by yay/pacaur/... -S <name of module resolve several problems with perl modules, that are undetectable by installing this package or launching gournal. Some errors on terminal are a clue, but nothing to understand how to resolve them.

Popolon commented on 2020-09-12 12:12

As libgnomeprint doesn't compile due to freetype2 wrong detection and I didn't intend to print, I tried without it, it compile fine, but at runtime

perl-gtk2-gladexml-simple dependency (for runtime) is missing

i believe the best is to patch libgnomeprint anyway

zoidby commented on 2017-12-07 14:40

The build fails due to an outdated PKGBUILD:

==> ERROR: Missing package() function in gournal/PKGBUILD